Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000863Core InformAssertions and creationspublic2012-02-07 18:502014-05-07 07:33
ReporterRon Newcomb 
Assigned Tograham 
PrioritynormalSeveritymildReproducibilityalways
StatusclosedResolutionfixed 
PlatformPPCOSMac OS XOS Version10.4
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0000863: Abject failure from the year 1969
DescriptionIf the computer's date is unset (my Mac defaults to December 31, 1969 on power-up), Inform won't compile: bad serial#.

Perhaps it's a compatibility error with my shag carpet.

Additional InformationFile "/Users/ronnewcomb/Documents/Interactive Fiction/iFictions/Parser Project/The Parser.inform/Build/auto.inf"; Line 32 # Error: The serial number must be a 6-digit date in double-quotes
> Serial "-311231"
TagsNo tags attached.
Effect(critical) Inform 6 compiler reports errors for valid code
Attached Files

- Relationships

-  Notes
(0001581)
EmacsUser (manager)
2012-02-15 11:46

Confirmed, by opening Date & Time preferences, unchecking ``set date and time automatically,'' and entering the year quickly enough that the autocorrection doesn't kick in.
(0002646)
graham (administrator)
2014-05-03 15:38

Ah, a millennium bug in reverse. Fixed.

- Issue History
Date Modified Username Field Change
2012-02-07 18:50 Ron Newcomb New Issue
2012-02-08 08:23 EmacsUser Status new => acknowledged
2012-02-15 11:46 EmacsUser Note Added: 0001581
2012-02-15 11:46 EmacsUser Status acknowledged => confirmed
2014-05-03 15:38 graham Note Added: 0002646
2014-05-03 15:38 graham Status confirmed => resolved
2014-05-03 15:38 graham Resolution open => fixed
2014-05-03 15:38 graham Assigned To => graham
2014-05-07 07:32 jmcgrew Fixed in Version => 6L02
2014-05-07 07:33 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker